/*	Copyright (C) 2003-2010 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#include "draw.pmh"
#include "platform/dlCore.cc"

extern "C"
{

FE_DL_EXPORT void ListDependencies(fe::List<fe::String*>& list)
{
//	list.append(new fe::String("fexWindowDL"));
}

FE_DL_EXPORT fe::Library* CreateLibrary(fe::sp<fe::Master>)
{
	fe::Library *pLibrary = new fe::Library();
	pLibrary->add<fe::DrawCached>("DrawI.DrawCached.fe");
#if FE_OS != FE_OSX
	pLibrary->add<fe::DrawThreaded>("DrawI.DrawThreaded.fe");
#endif

	pLibrary->add<fe::ViewNull>("ViewI.ViewNull.fe");
	pLibrary->add<fe::DrawNull>("DrawI.DrawNull.fe");
	return pLibrary;
}

}
