/*	Copyright (C) 2003-2010 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#include "geometry.pmh"

namespace s_hull
{
using namespace std;
#include "s_hull/s_hull.C"
}

namespace fe
{

//* static
void PointConnect::solve(std::vector<Vector2>& a_location,
		std::vector<Vector3i>& a_triangle)
{
	std::vector<s_hull::Shx> pointArray;
	s_hull::Shx point;

	const I32 pointCount=a_location.size();
	for(I32 pointIndex=0;pointIndex<pointCount;pointIndex++)
	{
		const Vector2& rLocation=a_location[pointIndex];

		point.id=pointIndex;
		point.r=rLocation[0];
		point.c=rLocation[1];

		pointArray.push_back(point);
	}

	std::vector<s_hull::Triad> triads;
	s_hull::s_hull_del_ray2(pointArray,triads);

	const I32 primitiveCount=triads.size();
	a_triangle.resize(primitiveCount);

	for(I32 primitiveIndex=0;primitiveIndex<primitiveCount;primitiveIndex++)
	{
		const s_hull::Triad& rTriad=triads[primitiveIndex];

		set(a_triangle[primitiveIndex],rTriad.a,rTriad.b,rTriad.c);
	}
}

} // namespace

