/*	Copyright (C) 2003-2010 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#ifndef __operate_ManipulatorI_h__
#define __operate_ManipulatorI_h__

namespace fe
{

/**************************************************************************//**
	@brief Interactive collection of grips

	@ingroup operate
*//***************************************************************************/
class FE_DL_EXPORT ManipulatorI:
	virtual public HandlerI,
	virtual public DrawableI
{
	public:

virtual	void	bindOverlay(sp<DrawI>& a_spDrawOverlay)						=0;

virtual	Real	anchorScale(void) const										=0;
virtual	void	setAnchorScale(Real a_anchorScale)							=0;

virtual	Real	gripScale(void) const										=0;
virtual	void	setGripScale(Real a_dimming)								=0;

virtual	Real	dimming(void) const											=0;
virtual	void	setDimming(Real a_dimming)									=0;

virtual	Real	foreshadow(void) const										=0;
virtual	void	setForeshadow(Real a_foreshadow)							=0;

virtual	Real	aura(void) const											=0;
virtual	void	setAura(Real a_aura)										=0;
};

} // namespace

#endif /* __operate_ManipulatorI_h__ */
